@import url(fonts.css);

:root {
  --yellow-color: #ffb542;
  --dark-yellow-color: #e5a23b; 
  --dark-blue-color: #203a7c;
  --light-blue-color: #00769b;
  --green-color: #91b445;
  --magenta-color: #eb0077;
}

body,html {
	height: 100%;
}

body {
	font-family: 'Roboto',serif;
	font-size: 12pt;
	background-color:#f2f2f2;
	color: white;
	margin: 0;
	padding: 0;
}

.content-box {
	display: flex;
	justify-content: center;

}

.content-box.dark-blue {
	background-color: var(--dark-blue-color);
}

.content-box.light-blue {
	background-color: var(--light-blue-color);
}

.content-box.green {
	background-color: var(--green-color);
}

.content-box.yellow {
	background-color: var(--dark-yellow-color);
}

.content-box.magenta {
	background-color: var(--magenta-color);
}

.content {
	box-shadow: 0pt 0pt 38pt rgba(0,0,0,0.3);
	padding: 2rem;
	width: 100%;
}

.header {
	font-size: 250%;
	background-color: var(--yellow-color);
}

.header .content {
	background-color: var(--yellow-color);
}

.header h1 {
	text-transform: uppercase;
	margin: 0;
}

.kandidaten-header {
	background-color: var(--dark-blue-color);
	font-size: 250%;
	font-weight: 600;
}

.kandidaten-header p {
	margin: 0
}

.kandidaten-header h2 {
	text-transform: uppercase;
	font-size: 200%;
	margin:0;
	border-bottom: 6pt solid var(--yellow-color);
	line-height: 85%;
}

.kandidaten-image {
	background-color: var(--green-color);
	font-size: 250%;
	font-weight: 600;
}

.kandidaten-image .content {
	padding: 0;
}

.kandidaten-image img {
	object-fit: contain;
	width: 100%;
	margin-bottom: 1rem;
}

.kandidaten-image h2 {
	font-size: 200%;
	margin:0;
	border-bottom: 6pt solid var(--yellow-color);
	line-height: 85%;
	margin: 0 2rem;
}

.kandidaten-image p {
	margin: 0 2rem;
}


.kandidaten-image p:last-child {
	margin-bottom: 1rem;
}

.kandidat {
	font-size: 150%;
}

.kandidat .title {
	font-size: 180%;
	font-weight: 400;
	display: flex;
	flex-direction: row;
}

.kandidat .title .name {
	border-bottom: 4pt solid white;
	padding-bottom: 0.2em;
	flex: 1;
}

.kandidat .title .listennr {
	border-bottom: 4pt solid var(--yellow-color);
	padding-right: 1rem;
	padding-bottom: 0.2em;
}

.kandidat ul {
	list-style: none;
	padding-left: 0;
}

.kandidat ul li {
	display: flex;
}

.kandidat ul li::before {
	content: "\2014\a0";
	font-weight: 600;
	color: var(--yellow-color);
	margin-right: 0.5em;
}

.kandidat blockquote {
	background-color: rgba(0,0,0,0.3);
	padding: 1em;
	font-style: italic;
	margin: 0;
	position: absolute;
}

.kandidat .content {
	display: flex;
	flex-direction: row-reverse;
	padding: 0;
}

.kandidat .content img {
	height: 380pt;
	object-fit: contain;
}

.kandidat .details {
	padding: 2rem;
	flex: 1;
}

.kandidat button.vorstellungsvideo {
	background-color: rgba(0,0,0,0.5);
	padding: 1em;
	text-decoration: none;
	display: inline-block;
	margin-bottom: 1rem;
	color: white;
	font-weight: bold;
	background-image: url('../images/play_circle_24dp_E3E3E3_FILL0_wght400_GRAD0_opsz24.svg');
	background-repeat: no-repeat;
	background-size: auto 80%;
	background-position: 0.5rem center;
	padding-left: 3.5em;
	border: none;
    outline:none;
	font-size: 100%;
}

body.popup-open { 
	 overflow: hidden; 
	 
}

.video-popup-overlay {
	display: none;
	position: fixed;
	left: 0; top: 0;
	width: 100vw; height: 100vh;
	background: rgba(0,0,0,0.7);
	z-index: 9999;
	justify-content: center;
	align-items: center;
}
.video-popup-overlay.active { 
	display: flex; 
}

.video-popup-video {
	width: 100vw;
	height: 100vh;
	max-width: 100vw;
	max-height: 100vh;
	border-radius: 0;
	background: #000;
	box-shadow: none;
}
.video-popup-close {
	position: absolute;
	top: 10px;
	right: 18px;
	font-size: 2.2rem;
	color: #fff;
	background: none;
	border: none;
	cursor: pointer;
	z-index: 10000;
}

@media (max-width: 900px) {
	
	.header {
		font-size: 100%;
	}
	
	
	.kandidaten-header,
	.kandidaten-image{
		font-size: 150%;
	}
	
	.kandidaten-header h2,
	.kandidaten-image h2 {
		border-bottom: 3pt solid var(--yellow-color);
		
	}
	
	.kandidat {
		font-size: 120%;
	}
	
	.kandidat .content {
		flex-direction: column-reverse;
		position: relative;
		box-shadow: 0pt 0pt 38pt rgba(0,0,0,0.3), -60pt 0pt 120pt 0px rgba(0,0,0,0.5) inset;
	}
	
	.kandidat .details {
		padding-bottom: 0;
	}
	
	.kandidat blockquote {
		margin-bottom: 1rem;
		font-size: 90%;
		position: relative;
	}
	
	.kandidat .content img {
		height: 320pt;
	}
	
	.kandidat .title .listennr {
		font-size: 200%;
	}
}

@media (min-width: 1000px) {
	.content {
		width: 50%;
		min-width: 800pt;
		box-sizing: border-box;
	}
	
	.kandidat {
		font-size: 125%;
	}
	
	.kandidat blockquote {
		position: relative;
	}
	
	.video-popup-video {
		width: 100vw; height: 100vh;
		max-width: 100vw; max-height: 100vh;
		border-radius: 0;
	}
	
	.video-popup-video {
        width: 50vw;
        height: auto;
        max-width: 90vw;
        max-height: 80vh;
        border-radius: 10px;
        box-shadow: 0 8px 32px rgba(0,0,0,0.3);
	}
	
	.video-popup-close {
        top: 20px;
        right: 30px;
        font-size: 2rem;
	}
}
	
